Skip to main content

Get maximum allowance limit

GET https://wallet.paysera.com/rest/v1/allowance/limit/{walletId}

Get maximum price that can be reserved using active allowance.

Considers allowance limits, balance, and account restrictions.

Authorization​

This endpoint requires MAC (Message Authentication Code) authentication.

Authorization Header Format:

Authorization: MAC id="CLIENT_ID", ts="TIMESTAMP", nonce="RANDOM_STRING", mac="MAC_HASH", ext="body_hash=BODY_HASH"

Example:

Authorization: MAC id="a9b8c7d6e5f4g3h2", ts="1234567890", nonce="xyz123abc456def", mac="dGhpcyBpcyBhIHJhbmRvbSBtYWMgaGFzaCB2YWx1ZQ==", ext="body_hash=cmFuZG9tQm9keUhhc2hWYWx1ZQ%3D%3D"

For more details, see the Authentication section.

Parameters​

Path Parameters​

NameTypeRequiredDescription
walletIdstring✓Wallet identifier (integer or 'me')

Query Parameters​

NameTypeRequiredDescription
currencystringCurrency code (defaults to EUR)

Example​

Request​

GET https://wallet.paysera.com/rest/v1/allowance/limit/{walletId}?currency=value
Authorization: MAC id="CLIENT_ID", ts="TIMESTAMP", nonce="RANDOM_STRING", mac="MAC_HASH"

Response​

{
"amount": 1920,
"amount_decimal": "19.20",
"currency": "USD"
}

AUTHORIZATION: HTTP

REQUEST

Base URL
https://wallet.paysera.com
Query Parameters
currency
Currency code (defaults to EUR)

RESPONSE

Allowance limit retrieved
{
"amount": 1920,
"amount_decimal": "19.20",
"currency": "USD"
}